Loading...
Searching...
No Matches
ranges::dangling Struct Reference
Range

A placeholder for an iterator or a sentinel into a range that may no longer be valid. More...

`#include <range/v3/range/dangling.hpp>`

## Public Member Functions

template<typename T > requires not_same_as_<T, dangling>
constexpr | dangling (T &&)
| Implicit converting constructor; ignores argument.

## Detailed Description

A placeholder for an iterator or a sentinel into a range that may no longer be valid.